1. Are you ready for the Galaxy S20? Here is everything we know so far!

How install Google Play Services in Emulator Android Studio

Discussion in 'Android Development' started by envarao42, Jun 9, 2017.

  1. envarao42

    envarao42 Lurker
    Thread Starter

    Hello, I need to install google Play services on an android emulator api 16, this device by default has installed version 9.2 of google play services, but I do not know how to do an update or an installation of a new version of GPS.

    I want to test an app that uses firebase and I do not know how to do it, because when I try to log in against firebase I get an error in Google Play Services.
     



    1. Download the Forums for Android™ app!


      Download

       
  2. Deleted User

    Deleted User Guest

    What's in your build.gradle file?
     
  3. envarao42

    envarao42 Lurker
    Thread Starter

    Code (Text):
    1.  
    2. apply plugin: 'com.android.application'
    3.  
    4. android {
    5.     compileSdkVersion 25
    6.     buildToolsVersion "25.0.3"
    7.     defaultConfig {
    8.         applicationId "my-package-name"
    9.         minSdkVersion 16
    10.         targetSdkVersion 25
    11.         versionCode 1
    12.         versionName "1.0"
    13.         multiDexEnabled true
    14.         testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    15.     }
    16.     buildTypes {
    17.         release {
    18.             minifyEnabled false
    19.             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    20.         }
    21.     }
    22.  
    23.  
    24. }
    25. repositories {
    26.     mavenCentral()
    27. }
    28.  
    29.  
    30. dependencies {
    31.     compile fileTree(include: ['*.jar'], dir: 'libs')
    32.     androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
    33.         exclude group: 'com.android.support', module: 'support-annotations'
    34.     })
    35.     //A Java serialization/deserialization library that can convert Java Objects into JSON and back
    36.     //Bind Android views and callbacks to fields and method
    37.     //image downloading and caching library
    38.     //Support Library
    39.  
    40.     compile 'com.android.support:appcompat-v7:25.3.1'
    41.     compile 'com.android.support:customtabs:25.3.1'
    42.     compile 'com.android.support:mediarouter-v7:25.3.1'
    43.     compile 'com.android.support:design:25.3.1'
    44.     compile 'com.squareup.retrofit2:retrofit:2.1.0'
    45.     compile 'com.squareup.retrofit2:converter-gson:2.1.0'
    46.     compile 'com.jakewharton:butterknife:8.5.1'
    47.     compile 'com.squareup.picasso:picasso:2.5.2'
    48.     compile 'com.android.support:cardview-v7:25.3.1'
    49.     compile 'com.android.support:recyclerview-v7:25.3.1'
    50.     compile 'com.squareup.okhttp3:eek:khttp-urlconnection:3.2.0'
    51.     compile 'com.google.android.gms:play-services:10.2.0'
    52.     compile 'com.squareup.okhttp3:logging-interceptor:3.4.1'
    53.     compile 'com.squareup.okhttp3:eek:khttp:3.4.1'
    54.     compile 'com.facebook.stetho:stetho:1.4.2'
    55.     compile 'com.facebook.stetho:stetho-okhttp3:1.4.2'
    56.     compile 'com.google.android.gms:play-services-auth:10.2.0'
    57.     compile 'com.facebook.android:facebook-android-sdk:4.21.1'
    58.     compile 'com.google.gms:google-services:3.0.0'
    59.     compile 'com.android.support.constraint:constraint-layout:1.0.1'
    60.     compile 'com.google.code.gson:gson:2.8.0'
    61.     compile 'com.willowtreeapps.spruce:spruce-android:1.0.0'
    62.     compile 'com.google.firebase:firebase-core:10.0.1'
    63.     compile 'com.google.firebase:firebase-messaging:10.0.1'
    64.     compile 'com.google.firebase:firebase-auth:10.0.1'
    65.     compile 'com.google.firebase:firebase-crash:9.6.1'
    66.     compile 'com.android.support:support-v4:25.3.1'
    67.     compile 'com.github.pwittchen:reactivenetwork-rx2:0.9.1'
    68.     compile 'com.tapadoo.android:alerter:1.0.7'
    69.     compile 'petrov.kristiyan:colorpicker-library:1.1.4'
    70.     compile 'com.chauthai.swipereveallayout:swipe-reveal-layout:1.4.0'
    71.     compile 'com.wajahatkarim3.EasyMoney-Widgets:EasyMoney-Widgets:1.0.0'
    72.     compile 'com.aldoapps:autoformatedittext:0.9.3'
    73.     compile 'com.android.support:multidex:1.0.1'
    74.     testCompile 'junit:junit:4.12'
    75. }
    76. apply plugin: 'com.google.gms.google-services'
    77.  
     
  4. envarao42

    envarao42 Lurker
    Thread Starter

    Thanks, I have posted my gradle.
     
  5. Deleted User

    Deleted User Guest

    What error are you getting when the app is run?
     
  6. envarao42

    envarao42 Lurker
    Thread Starter

    I get a push notification that says update Google Play Services.
     
  7. Deleted User

    Deleted User Guest

  8. envarao42

    envarao42 Lurker
    Thread Starter


    Thanks a lot, but I just need to have an emulator with api 16 Android 4.1, this version has google play services in a version 9.2.56 and I need to update or install a version 9.6.1 or higher on that device.
     
    sweetndreemy73 likes this.
Loading...

Share This Page

Loading...